export const defaultLocale = "en"
export const locales = ["en", "ar", "fr", "es", "ru", "de"] as const
export type Locale = (typeof locales)[number]

export const localeNames: Record<Locale, string> = {
  en: "English",
  ar: "العربية",
  fr: "Français",
  es: "Español",
  ru: "Русский",
  de: "Deutsch",
}

export const localeFlags: Record<Locale, string> = {
  en: "🇺🇸",
  ar: "🇸🇦",
  fr: "🇫🇷",
  es: "🇪🇸",
  ru: "🇷🇺",
  de: "🇩🇪",
}

export function getDirection(locale: Locale): "ltr" | "rtl" {
  return locale === "ar" ? "rtl" : "ltr"
}
